public static interface DataSetEndpointBuilderFactory.DataSetBuilders
| Modifier and Type | Method and Description |
|---|---|
default DataSetEndpointBuilderFactory.DataSetEndpointBuilder |
dataset(String path)
Dataset (camel-dataset)
Provide data for load and soak testing of your Camel application.
|
default DataSetEndpointBuilderFactory.DataSetEndpointBuilder |
dataset(String componentName,
String path)
Dataset (camel-dataset)
Provide data for load and soak testing of your Camel application.
|
default DataSetEndpointBuilderFactory.DataSetEndpointBuilder dataset(String path)
dataset:name
Path parameter: name (required)
Name of DataSet to lookup in the registrypath - namedefault DataSetEndpointBuilderFactory.DataSetEndpointBuilder dataset(String componentName, String path)
dataset:name
Path parameter: name (required)
Name of DataSet to lookup in the registrycomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel